# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           CTL
Version:        1.4.1
Release:        alt2_29
Summary:        The Color Transformation Language

Group:          System/Libraries
License:        AMPAS BSD
URL:            http://ampasctl.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ampasctl/ctl-%{version}.tar.gz
Patch0:         ctl-1.4.1-gcc43.patch
Patch1:         ctl-1.4.1-fix_pkgconfig.patch
Patch2:         ctl-1.4.1-gcc47.patch

# http://bugzilla.redhat.com/357461
#A.The CTL license is ok, Free but GPL Incompatible.
BuildRequires:  ilmbase-devel
Source44: import.info
#BuildRequires:  autoconf, aclocal

%description
The Color Transformation Language, or CTL, is a programming language
for digital color management.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch: noarch

%description docs
This package contains documentation files for %{name}.


%prep
%setup -q -n ctl-%{version}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .fix_pkg-config
%patch2 -p1

# Was needed to disable rpath from configure -> patch0
#autoreconf

# fix perms
chmod 0644 doc/CtlManual.doc
chmod 0644 IlmCtl/{CtlInterpreter.cpp,CtlParser.cpp}


%build
%configure --disable-static

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Removes docs
rm -rf $RPM_BUILD_ROOT%{_datadir}


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%{_includedir}/CTL/
%{_libdir}/*.so
%{_libdir}/pkgconfig/CTL.pc

%files docs
%doc doc/CtlManual.pdf doc/CtlManual.doc

%changelog
* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_29
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_28
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_26
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_25
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_24
- update to new release by fcimport

* Sun Sep 20 2015 Cronbuild Service <cronbuild@altlinux.org> 1.4.1-alt2_22
- rebuild to get rid of unmets

* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_22
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_21
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_20
- update to new release by fcimport

* Sat Dec 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_19
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_18
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_17
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_16
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_15
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_14
- fc import

